aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-uritemplate/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2015-07-20 23:37:39 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-21 06:10:51 +0000
commit8a48fd36870ac9b69606df66bebd758a5258c6f2 (patch)
treed1995070b5920b4bdcecc2646971991baf45d339 /main/py-uritemplate/APKBUILD
parentee4eec5de1f815ad278f5eb4cdcc2c9bfe6bfff9 (diff)
downloadaports-8a48fd36870ac9b69606df66bebd758a5258c6f2.tar.gz
aports-8a48fd36870ac9b69606df66bebd758a5258c6f2.tar.bz2
aports-8a48fd36870ac9b69606df66bebd758a5258c6f2.tar.xz
main/py-uritemplate: move from testing
Diffstat (limited to 'main/py-uritemplate/APKBUILD')
-rw-r--r--main/py-uritemplate/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/py-uritemplate/APKBUILD b/main/py-uritemplate/APKBUILD
new file mode 100644
index 0000000000..6b8c105c6a
--- /dev/null
+++ b/main/py-uritemplate/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-uritemplate
+_pkgname=uritemplate.py
+pkgver=0.3.0
+pkgrel=0
+pkgdesc="Python module to use URO templates"
+url=" https://uritemplate.readthedocs.org"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4dd14904ba502c6ff8d6276e004404de uritemplate.py-0.3.0.tar.gz"
+sha256sums="fd79aa529a7968c62d96ac6731a94349c5a615dac74968526c573c65796c7b77 uritemplate.py-0.3.0.tar.gz"
+sha512sums="33c606337f4109301c73383d646bdc63f88426d39d870bf293b2d9cff1210adb8bde4105a7dbc2769071bf038bb203dcbb1d3d40bf95b1c572519c53dca65b1d uritemplate.py-0.3.0.tar.gz"